ASSETS=assets/lattice/lattice1.pdf_tex \
	   assets/lattice/lattice2.pdf_tex \
	   assets/lattice/lattice3.pdf_tex \
	   assets/lattice/lattice4.pdf_tex \
	   assets/lattice/lattice5.pdf_tex \
	   assets/lattice/lattice6.pdf_tex \
	   assets/lattice/lattice7.pdf_tex \
	   assets/lattice/lattice8.pdf_tex \
	   assets/logos/deuxfleurs.pdf \
	   assets/timeline-22-24.pdf

.PHONY: main
main: talk.tex $(ASSETS)
	latexmk -pdf talk.tex

.PHONY: loop
loop: $(ASSETS)
	latexmk -pdf -pvc talk.tex

.PHONY: clean
clean:
	latexmk -c

%.pdf: %.svg
	inkscape -D -z --file=$^ --export-pdf=$@

%.pdf_tex: %.svg
	inkscape -D -z --file=$^ --export-pdf=$@ --export-latex
